Subject: RE: [SIP] precedence rules for Route, maddr, and R-URI hostname

From: Jonathan Rosenberg <[email-masked]>
Date: Fri, 27 Apr 2001 03:11:48 -0400

> -----Original Message-----
> From: Brett Tate [mailto:[email-masked]]
> Sent: Thursday, April 26, 2001 10:30 PM
> To: [email-masked]
> Subject: RE: [SIP] precedence rules for Route, maddr, and 
> R-URI hostname
> 
> 
> Jonathan,
> 
> I have not noticed any flaws with the strawman. 
> 
> However I assume that only the SIP-URL 
> of the Route instead of the whole Route 
> contents are copied into the Request-URI.
> 
> Route = "Route" ":" 1# (name-addr *(";" rr-param))
>  and
> Request-URI = SIP-URL | absoluteURI
> 
> I mention this for clarity purposes and 
> because it was discussed in your earlier 
> "new record-route text" proposal.  That
> proposal's example also only showed the SIP-URL
> getting copied into the Route instead of the 
> whole name-addr and the rr-param.  Is this
> still the recommendation?

The request URI can only hold a URI, so yes, only the URI
part of Route (which does include URI parameters),
is copied into the request URI.

-Jonathan R.

---
Jonathan D. Rosenberg                       72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
This list is for continuing development of the SIP protocol.
The sip-implementor's list is the place to discuss implementation,
and to receive advice on understanding existing sip.
To subscribe to it, send mail to 
[email-masked] with "subscribe" in the body.